Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 738812

Summary: dev-scheme/chicken-4.13.0-r1 fails to link with LLD because of /usr/lib in the link command line
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: Current packagesAssignee: Scheme Project <scheme>
Status: RESOLVED FIXED    
Severity: normal CC: scheme
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 731004    
Attachments: build.log

Description Agostino Sarubbo gentoo-dev 2020-08-24 11:39:17 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-scheme/chicken-4.13.0-r1 fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-08-24 11:39:20 UTC
Created attachment 656424 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-11-19 13:46:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18cffb9a18ee275d6f8eab32b97e9a68487491be

commit 18cffb9a18ee275d6f8eab32b97e9a68487491be
Author:     Akinori Hattori <hattya@gentoo.org>
AuthorDate: 2021-11-19 13:43:36 +0000
Commit:     Akinori Hattori <hattya@gentoo.org>
CommitDate: 2021-11-19 13:45:43 +0000

    dev-scheme/chicken: fix tests with LLD
    
    Closes: https://bugs.gentoo.org/738812
    Package-Manager: Portage-3.0.28, Repoman-3.0.3
    Signed-off-by: Akinori Hattori <hattya@gentoo.org>

 dev-scheme/chicken/chicken-4.13.0-r2.ebuild | 2 +-
 dev-scheme/chicken/chicken-5.2.0.ebuild     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)